Bug 108125 - [BlackBerry] No need to enable USE(MERSENNE_TWISTER_19937)
Summary: [BlackBerry] No need to enable USE(MERSENNE_TWISTER_19937)
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit BlackBerry (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks: 108095 108129
  Show dependency treegraph
 
Reported: 2013-01-28 15:56 PST by Laszlo Gombos
Modified: 2013-05-10 09:16 PDT (History)
7 users (show)

See Also:


Attachments
proposed change (1.17 KB, patch)
2013-01-28 16:00 PST, Laszlo Gombos
rwlbuis: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Laszlo Gombos 2013-01-28 15:56:38 PST
BlackBerry port has both USE(OS_RANDOMNESS) and USE(MERSENNE_TWISTER_19937) defined. USE(OS_RANDOMNESS) has a priority over USE(MERSENNE_TWISTER_19937) (see RandomNumber.cpp:randomNumber) so USE(MERSENNE_TWISTER_19937) should not need to be defined.
Comment 1 Laszlo Gombos 2013-01-28 16:00:14 PST
Created attachment 185088 [details]
proposed change
Comment 2 Rob Buis 2013-05-08 14:27:07 PDT
Comment on attachment 185088 [details]
proposed change

LGTM.
Comment 3 Laszlo Gombos 2013-05-10 09:16:33 PDT
This patch is a subset of http://trac.webkit.org/changeset/145179 and as such is it obsoleted/fixed by bug 111533 .